import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class DataTableWidget extends StatelessWidget {
  final List<DataColumn> column;
  final List<DataRow> row;
  const DataTableWidget({super.key, required this.column, required this.row});

  @override
  Widget build(BuildContext context) {
    return DataTable(
      decoration: BoxDecoration(
        border: Border.all(color: const Color.fromRGBO(0, 0, 0, 1), width: 1.0),
        borderRadius: BorderRadius.circular(12),
        color: const Color.fromARGB(255, 240, 240, 240),
      ),
      headingTextStyle: GoogleFonts.outfit(textStyle: const TextStyle(fontSize: 14, fontWeight: FontWeight.w500)),
      dataTextStyle: GoogleFonts.outfit(textStyle: const TextStyle(fontSize: 14)),
      columns: column,
      rows: row,
    );
  }
}
